{ stdenv, fetchFromGitHub, python3Packages, nmigen }:

python3Packages.buildPythonPackage {
  name = "nmigen-boards";

  src = fetchFromGitHub {
    owner = "m-labs";
    repo = "nmigen-boards";
    rev = "bb52dfb9575c4aabf8e7dd9ddd780bf342ee0a71";
    sha256 = "1zmr57nvjz23srgx0yi4lc9rx856rypvi139202qc195almap168";
  };

  propagatedBuildInputs = [ nmigen ];

  meta = with stdenv.lib; {
    description = "Board and connector definition files for nMigen";
    homepage    = "https://m-labs.hk";
    license     = licenses.bsd2;
    maintainers = [ maintainers.sb0 ];
  };
}
