self: super:
rec {
  llvm_7 = super.llvm_7.overrideAttrs(oa: {
    name = oa.name + "-riscv";
    cmakeFlags = oa.cmakeFlags ++ ["-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD=RISCV"];
  });
  rustc = super.rustc.overrideAttrs(oa: {
    patches = oa.patches ++ [ ./compilers/rustc-riscv32i.patch ];
  });
  rustPlatform = super.makeRustPlatform { inherit rustc; inherit (super) cargo; };
}
